[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 2460

`public constructor TGraphicControl.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. It calls the inherited method on entry using AOwner as the owner of the class instance. Create allocates a TControlCanvas instance used for the Canvas property.

## See also

TGraphicControl.Canvas |  | A clipped window into the parent Canvas.
TControlCanvas |  | Base class which provides a canvas property used in graphic controls.
TControl.Create |  | Constructor for the class instance.